Bug 69985 - Installation fails because of irq timeouts
Installation fails because of irq timeouts
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-27 15:51 EDT by Jean-Luc Pedneault
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Pedneault 2002-07-27 15:51:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Installing Red Hat Limbo fails becase of irq timeouts while trying to access 
the hard drive (hda). I get these messages:

<4>hda: irq timeout: status=0xd0 { Busy }
<4>ide0: reset: success
<4>hda: irq timeout: status=0xd0 { Busy }
<4>ide0: reset: success
<4>hda: irq timeout: status=0xd0 { Busy }
<4>end_request: I/O error, dev 03:07 (da), sector 7
<4>hda: status timeout: status=0xd0 { Busy }

and sometimes, I get this too:

<4>hda: drive not ready for command

sometimes status=0xd0 is status=0xd2.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install limbo
2.
3.
	

Actual Results:  irq timeouts and everything gets really, really slow because 
the kernel needs to reset ide0 every 5 seconds.. I waited 15 minutes before a 
single package could get installed, once the installation screen appears, and 
not even one started yet.

Expected Results:  Packages that get installed at a reasonable speed

Additional info:

It could be hardware specific (or gcc-3.1 specific), this is happening on a 
A7V333 motherboard, using the VIA KT333 chipset and the VIA 586B southbridge. 
It is updated to the latest BIOS (1008). The hard disk is a WDC Caviar 30GB 
(5400 RPM). The other two IDE drives are a Sony CDX1611 CD-RW (on hdc) and a 
Afreey DVD reader (can't remember model) on hdd; the hard disk is therefore on 
its own controller, and I don't seem to have any problem accessing the two CD-
RW/DVD drives.
Comment 1 Dennixx 2003-01-21 05:50:23 EST
I have similar problems when installing the latest update kernel 
(2.4.18-19.7.x) on a RedHat 7.1 system. At first I thought the harddisk was 
broken, but after booting the 2.4.9-34 kernel everything worked fine again!

Just like the problem above I have a WD harddisk:
# cat /proc/ide/hda/model
WDC WD200BB-00AUA1
Comment 2 Bugzilla owner 2004-09-30 11:39:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.